#include <iostream>;
#include <iomanip>;
#include <vector>;
#include <map>;
#include <stack>;
#include <cstdio>
#include <cstring>;
#include <algorithm>;
using namespace std;
int n,q,l,proslo,d,a[200005],resenje[200000],br,rezultat;
bool niz[200000];
bool qw;
struct slog{int l;int d; int poz;};
slog qwe[200000];
bool cmp(slog a,slog b){
    return a.l<b.l;
}
int main(){
    cin>>n>>q;
    for(int i=1;i<=n;i++)
        scanf("%d",&a[i]);
    for(int i=1;i<=q;i++)
    scanf("%d %d",&l,&d);
cout<<1<<endl;
return 0;
}